NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::CAE::ClippingParameters Class Reference

This class is worked as a packet of information that can be used to set the clipping parameters of a NXOpen::CAE::Post object. More...

Inheritance diagram for NXOpen::CAE::ClippingParameters:
NXOpen::TaggedObject

Public Member Functions

double GetClipValue ()
 Ask clip value. More...
 
NXOpen::CAE::Result::CoordinateSystem GetCoordinateSystem ()
 Ask coordinate system. More...
 
NXOpen::CAE::Post::ClipPlane GetPlane ()
 Ask plane. More...
 
void GetSelectedCoordinateSystem (NXOpen::CAE::Result::CoordinateSystemSource *source, int *id)
 Ask selected coordinate system
Created in NX7.5.1. More...
 
bool GetShowClippedGhost ()
 Ask show clipped ghost. More...
 
bool GetShowOutline ()
 Ask show outline. More...
 
NXOpen::CAE::Post::ClipSide GetSide ()
 Ask side. More...
 
void SetClipValue (double clipValue)
 Set clip value
Created in NX7.5.1. More...
 
void SetCoordinateSystem (NXOpen::CAE::Result::CoordinateSystem coordinateSystem)
 Set coordinate system
Created in NX7.5.1. More...
 
void SetPlane (NXOpen::CAE::Post::ClipPlane plane)
 Set plane
Created in NX7.5.1. More...
 
void SetSelectedCoordinateSystem (NXOpen::CAE::Result::CoordinateSystemSource source, int id)
 Set selected coordinate system
Created in NX7.5.1. More...
 
void SetShowClippedGhost (bool showClippedGhost)
 Set show clipped ghost
Created in NX7.5.1. More...
 
void SetShowOutline (bool showOutline)
 Set show outline
Created in NX7.5.1. More...
 
void SetSide (NXOpen::CAE::Post::ClipSide side)
 Set side
Created in NX7.5.1. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

This class is worked as a packet of information that can be used to set the clipping parameters of a NXOpen::CAE::Post object.


Use NXOpen::CAE::ResultManager to create an NXOpen::CAE::ResultParameters


You can modifiy these values but validation of correctness will only be perfomed when this object is set to a NXOpen::CAE::Post object
To obtain an instance of this class use NXOpen::Session::ResultManager .

Created in NX7.5.1.

Member Function Documentation

double NXOpen::CAE::ClippingParameters::GetClipValue ( )

Ask clip value.

Returns

Created in NX7.5.1.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")
NXOpen::CAE::Result::CoordinateSystem NXOpen::CAE::ClippingParameters::GetCoordinateSystem ( )

Ask coordinate system.

Returns

Created in NX7.5.1.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")
NXOpen::CAE::Post::ClipPlane NXOpen::CAE::ClippingParameters::GetPlane ( )

Ask plane.

Returns

Created in NX7.5.1.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")
void NXOpen::CAE::ClippingParameters::GetSelectedCoordinateSystem ( NXOpen::CAE::Result::CoordinateSystemSource source,
int *  id 
)

Ask selected coordinate system
Created in NX7.5.1.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
sourcesource
idid
bool NXOpen::CAE::ClippingParameters::GetShowClippedGhost ( )

Ask show clipped ghost.

Returns

Created in NX7.5.1.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")
bool NXOpen::CAE::ClippingParameters::GetShowOutline ( )

Ask show outline.

Returns

Created in NX7.5.1.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")
NXOpen::CAE::Post::ClipSide NXOpen::CAE::ClippingParameters::GetSide ( )

Ask side.

Returns

Created in NX7.5.1.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")
void NXOpen::CAE::ClippingParameters::SetClipValue ( double  clipValue)

Set clip value
Created in NX7.5.1.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
clipValueclipvalue
void NXOpen::CAE::ClippingParameters::SetCoordinateSystem ( NXOpen::CAE::Result::CoordinateSystem  coordinateSystem)

Set coordinate system
Created in NX7.5.1.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
coordinateSystemcoordinatesystem
void NXOpen::CAE::ClippingParameters::SetPlane ( NXOpen::CAE::Post::ClipPlane  plane)

Set plane
Created in NX7.5.1.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
planeplane
void NXOpen::CAE::ClippingParameters::SetSelectedCoordinateSystem ( NXOpen::CAE::Result::CoordinateSystemSource  source,
int  id 
)

Set selected coordinate system
Created in NX7.5.1.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
sourcesource
idid
void NXOpen::CAE::ClippingParameters::SetShowClippedGhost ( bool  showClippedGhost)

Set show clipped ghost
Created in NX7.5.1.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
showClippedGhostshowclippedghost
void NXOpen::CAE::ClippingParameters::SetShowOutline ( bool  showOutline)

Set show outline
Created in NX7.5.1.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
showOutlineshowoutline
void NXOpen::CAE::ClippingParameters::SetSide ( NXOpen::CAE::Post::ClipSide  side)

Set side
Created in NX7.5.1.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
sideside

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.